<?php
$tdatareporte = array();
$tdatareporte[".searchableFields"] = array();
$tdatareporte[".ShortName"] = "reporte";
$tdatareporte[".OwnerID"] = "";
$tdatareporte[".OriginalTable"] = "acciones";


$tdatareporte[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatareporte[".originalPagesByType"] = $tdatareporte[".pagesByType"];
$tdatareporte[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatareporte[".originalPages"] = $tdatareporte[".pages"];
$tdatareporte[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatareporte[".originalDefaultPages"] = $tdatareporte[".defaultPages"];

//	field labels
$fieldLabelsreporte = array();
$fieldToolTipsreporte = array();
$pageTitlesreporte = array();
$placeHoldersreporte = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreporte["Spanish"] = array();
	$fieldToolTipsreporte["Spanish"] = array();
	$placeHoldersreporte["Spanish"] = array();
	$pageTitlesreporte["Spanish"] = array();
	$fieldLabelsreporte["Spanish"]["id_Pago"] = "Id Pago";
	$fieldToolTipsreporte["Spanish"]["id_Pago"] = "";
	$placeHoldersreporte["Spanish"]["id_Pago"] = "";
	$fieldLabelsreporte["Spanish"]["fecha_Pago"] = "Fecha Pago";
	$fieldToolTipsreporte["Spanish"]["fecha_Pago"] = "";
	$placeHoldersreporte["Spanish"]["fecha_Pago"] = "";
	$fieldLabelsreporte["Spanish"]["ci"] = "Ci";
	$fieldToolTipsreporte["Spanish"]["ci"] = "";
	$placeHoldersreporte["Spanish"]["ci"] = "";
	$fieldLabelsreporte["Spanish"]["nombres"] = "Nombres";
	$fieldToolTipsreporte["Spanish"]["nombres"] = "";
	$placeHoldersreporte["Spanish"]["nombres"] = "";
	$fieldLabelsreporte["Spanish"]["apellido_Paterno"] = "Apellido Paterno";
	$fieldToolTipsreporte["Spanish"]["apellido_Paterno"] = "";
	$placeHoldersreporte["Spanish"]["apellido_Paterno"] = "";
	$fieldLabelsreporte["Spanish"]["apellido_Materno"] = "Apellido Materno";
	$fieldToolTipsreporte["Spanish"]["apellido_Materno"] = "";
	$placeHoldersreporte["Spanish"]["apellido_Materno"] = "";
	$fieldLabelsreporte["Spanish"]["nro_Acciones"] = "Nro Acciones";
	$fieldToolTipsreporte["Spanish"]["nro_Acciones"] = "";
	$placeHoldersreporte["Spanish"]["nro_Acciones"] = "";
	$fieldLabelsreporte["Spanish"]["total_bs"] = "Total Bs";
	$fieldToolTipsreporte["Spanish"]["total_bs"] = "";
	$placeHoldersreporte["Spanish"]["total_bs"] = "";
	$fieldLabelsreporte["Spanish"]["Estado_paga"] = "Estado Paga";
	$fieldToolTipsreporte["Spanish"]["Estado_paga"] = "";
	$placeHoldersreporte["Spanish"]["Estado_paga"] = "";
	$fieldLabelsreporte["Spanish"]["tipo_pago"] = "Tipo Pago";
	$fieldToolTipsreporte["Spanish"]["tipo_pago"] = "";
	$placeHoldersreporte["Spanish"]["tipo_pago"] = "";
	if (count($fieldToolTipsreporte["Spanish"]))
		$tdatareporte[".isUseToolTips"] = true;
}


	$tdatareporte[".NCSearch"] = true;



$tdatareporte[".shortTableName"] = "reporte";
$tdatareporte[".nSecOptions"] = 0;

$tdatareporte[".mainTableOwnerID"] = "";
$tdatareporte[".entityType"] = 1;
$tdatareporte[".connId"] = "orodiint_bsn_at_localhost";


$tdatareporte[".strOriginalTableName"] = "acciones";

	



$tdatareporte[".showAddInPopup"] = false;

$tdatareporte[".showEditInPopup"] = false;

$tdatareporte[".showViewInPopup"] = false;

$tdatareporte[".listAjax"] = false;
//	temporary
//$tdatareporte[".listAjax"] = false;

	$tdatareporte[".audit"] = false;

	$tdatareporte[".locking"] = false;


$pages = $tdatareporte[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareporte[".edit"] = true;
	$tdatareporte[".afterEditAction"] = 1;
	$tdatareporte[".closePopupAfterEdit"] = 1;
	$tdatareporte[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareporte[".add"] = true;
$tdatareporte[".afterAddAction"] = 1;
$tdatareporte[".closePopupAfterAdd"] = 1;
$tdatareporte[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareporte[".list"] = true;
}



$tdatareporte[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareporte[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareporte[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareporte[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareporte[".printFriendly"] = true;
}



$tdatareporte[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareporte[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareporte[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareporte[".isUseAjaxSuggest"] = true;





$tdatareporte[".ajaxCodeSnippetAdded"] = false;

$tdatareporte[".buttonsAdded"] = false;

$tdatareporte[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareporte[".isUseTimeForSearch"] = false;


$tdatareporte[".badgeColor"] = "4169E1";


$tdatareporte[".allSearchFields"] = array();
$tdatareporte[".filterFields"] = array();
$tdatareporte[".requiredSearchFields"] = array();

$tdatareporte[".googleLikeFields"] = array();
$tdatareporte[".googleLikeFields"][] = "id_Pago";
$tdatareporte[".googleLikeFields"][] = "fecha_Pago";
$tdatareporte[".googleLikeFields"][] = "ci";
$tdatareporte[".googleLikeFields"][] = "nombres";
$tdatareporte[".googleLikeFields"][] = "apellido_Paterno";
$tdatareporte[".googleLikeFields"][] = "apellido_Materno";
$tdatareporte[".googleLikeFields"][] = "nro_Acciones";
$tdatareporte[".googleLikeFields"][] = "total_bs";
$tdatareporte[".googleLikeFields"][] = "Estado_paga";
$tdatareporte[".googleLikeFields"][] = "tipo_pago";



$tdatareporte[".tableType"] = "list";

$tdatareporte[".printerPageOrientation"] = 0;
$tdatareporte[".nPrinterPageScale"] = 100;

$tdatareporte[".nPrinterSplitRecords"] = 40;

$tdatareporte[".geocodingEnabled"] = false;










$tdatareporte[".pageSize"] = 20;

$tdatareporte[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatareporte[".strOrderBy"] = $tstrOrderBy;

$tdatareporte[".orderindexes"] = array();


$tdatareporte[".sqlHead"] = "SELECT p.id_Pago,  	p.fecha_Pago,  	s.ci,  	s.nombres,  	s.apellido_Paterno,  	s.apellido_Materno,  	dp.nro_Acciones,  	dp.total_bs,  	a1.nombre AS Estado_paga,  	a2.nombre AS tipo_pago";
$tdatareporte[".sqlFrom"] = "FROM  	pago_dp AS p  	INNER JOIN derecho_propietario AS dp ON p.derecho_Propietario = dp.id_derecho_Propietario  	INNER JOIN socio AS s ON p.accionista = s.id_Socio  	INNER JOIN aux AS a1 ON p.estado = a1.id_aux  	INNER JOIN aux AS a2 ON p.tipo_pago = a2.id_aux";
$tdatareporte[".sqlWhereExpr"] = "";
$tdatareporte[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareporte[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareporte[".arrGroupsPerPage"] = $arrGPP;

$tdatareporte[".highlightSearchResults"] = true;

$tableKeysreporte = array();
$tdatareporte[".Keys"] = $tableKeysreporte;


$tdatareporte[".hideMobileList"] = array();




//	id_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Pago";
	$fdata["GoodName"] = "id_Pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("reporte","id_Pago");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_Pago";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.id_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["id_Pago"] = $fdata;
		$tdatareporte[".searchableFields"][] = "id_Pago";
//	fecha_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha_Pago";
	$fdata["GoodName"] = "fecha_Pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("reporte","fecha_Pago");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_Pago";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p.fecha_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["fecha_Pago"] = $fdata;
		$tdatareporte[".searchableFields"][] = "fecha_Pago";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("reporte","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "s.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["ci"] = $fdata;
		$tdatareporte[".searchableFields"][] = "ci";
//	nombres
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nombres";
	$fdata["GoodName"] = "nombres";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("reporte","nombres");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombres";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "s.nombres";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["nombres"] = $fdata;
		$tdatareporte[".searchableFields"][] = "nombres";
//	apellido_Paterno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "apellido_Paterno";
	$fdata["GoodName"] = "apellido_Paterno";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("reporte","apellido_Paterno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_Paterno";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "s.apellido_Paterno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["apellido_Paterno"] = $fdata;
		$tdatareporte[".searchableFields"][] = "apellido_Paterno";
//	apellido_Materno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "apellido_Materno";
	$fdata["GoodName"] = "apellido_Materno";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("reporte","apellido_Materno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_Materno";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "s.apellido_Materno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["apellido_Materno"] = $fdata;
		$tdatareporte[".searchableFields"][] = "apellido_Materno";
//	nro_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "nro_Acciones";
	$fdata["GoodName"] = "nro_Acciones";
	$fdata["ownerTable"] = "derecho_propietario";
	$fdata["Label"] = GetFieldLabel("reporte","nro_Acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Acciones";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dp.nro_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["nro_Acciones"] = $fdata;
		$tdatareporte[".searchableFields"][] = "nro_Acciones";
//	total_bs
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "total_bs";
	$fdata["GoodName"] = "total_bs";
	$fdata["ownerTable"] = "derecho_propietario";
	$fdata["Label"] = GetFieldLabel("reporte","total_bs");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "total_bs";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dp.total_bs";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["total_bs"] = $fdata;
		$tdatareporte[".searchableFields"][] = "total_bs";
//	Estado_paga
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Estado_paga";
	$fdata["GoodName"] = "Estado_paga";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("reporte","Estado_paga");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "a1.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["Estado_paga"] = $fdata;
		$tdatareporte[".searchableFields"][] = "Estado_paga";
//	tipo_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "tipo_pago";
	$fdata["GoodName"] = "tipo_pago";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("reporte","tipo_pago");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "a2.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte["tipo_pago"] = $fdata;
		$tdatareporte[".searchableFields"][] = "tipo_pago";


$tables_data["reporte"]=&$tdatareporte;
$field_labels["reporte"] = &$fieldLabelsreporte;
$fieldToolTips["reporte"] = &$fieldToolTipsreporte;
$placeHolders["reporte"] = &$placeHoldersreporte;
$page_titles["reporte"] = &$pageTitlesreporte;


changeTextControlsToDate( "reporte" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["reporte"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["reporte"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reporte()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "p.id_Pago,  	p.fecha_Pago,  	s.ci,  	s.nombres,  	s.apellido_Paterno,  	s.apellido_Materno,  	dp.nro_Acciones,  	dp.total_bs,  	a1.nombre AS Estado_paga,  	a2.nombre AS tipo_pago";
$proto0["m_strFrom"] = "FROM  	pago_dp AS p  	INNER JOIN derecho_propietario AS dp ON p.derecho_Propietario = dp.id_derecho_Propietario  	INNER JOIN socio AS s ON p.accionista = s.id_Socio  	INNER JOIN aux AS a1 ON p.estado = a1.id_aux  	INNER JOIN aux AS a2 ON p.tipo_pago = a2.id_aux";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Pago",
	"m_strTable" => "p",
	"m_srcTableName" => "reporte"
));

$proto6["m_sql"] = "p.id_Pago";
$proto6["m_srcTableName"] = "reporte";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Pago",
	"m_strTable" => "p",
	"m_srcTableName" => "reporte"
));

$proto8["m_sql"] = "p.fecha_Pago";
$proto8["m_srcTableName"] = "reporte";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "s",
	"m_srcTableName" => "reporte"
));

$proto10["m_sql"] = "s.ci";
$proto10["m_srcTableName"] = "reporte";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "nombres",
	"m_strTable" => "s",
	"m_srcTableName" => "reporte"
));

$proto12["m_sql"] = "s.nombres";
$proto12["m_srcTableName"] = "reporte";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_Paterno",
	"m_strTable" => "s",
	"m_srcTableName" => "reporte"
));

$proto14["m_sql"] = "s.apellido_Paterno";
$proto14["m_srcTableName"] = "reporte";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_Materno",
	"m_strTable" => "s",
	"m_srcTableName" => "reporte"
));

$proto16["m_sql"] = "s.apellido_Materno";
$proto16["m_srcTableName"] = "reporte";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Acciones",
	"m_strTable" => "dp",
	"m_srcTableName" => "reporte"
));

$proto18["m_sql"] = "dp.nro_Acciones";
$proto18["m_srcTableName"] = "reporte";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "total_bs",
	"m_strTable" => "dp",
	"m_srcTableName" => "reporte"
));

$proto20["m_sql"] = "dp.total_bs";
$proto20["m_srcTableName"] = "reporte";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "a1",
	"m_srcTableName" => "reporte"
));

$proto22["m_sql"] = "a1.nombre";
$proto22["m_srcTableName"] = "reporte";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "Estado_paga";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "a2",
	"m_srcTableName" => "reporte"
));

$proto24["m_sql"] = "a2.nombre";
$proto24["m_srcTableName"] = "reporte";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "tipo_pago";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "pago_dp";
$proto27["m_srcTableName"] = "reporte";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "id_Pago";
$proto27["m_columns"][] = "fecha_Pago";
$proto27["m_columns"][] = "derecho_Propietario";
$proto27["m_columns"][] = "accionista";
$proto27["m_columns"][] = "estado";
$proto27["m_columns"][] = "tipo_pago";
$proto27["m_columns"][] = "respaldo";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "pago_dp AS p";
$proto26["m_alias"] = "p";
$proto26["m_srcTableName"] = "reporte";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
												$proto30=array();
$proto30["m_link"] = "SQLL_INNERJOIN";
			$proto31=array();
$proto31["m_strName"] = "derecho_propietario";
$proto31["m_srcTableName"] = "reporte";
$proto31["m_columns"] = array();
$proto31["m_columns"][] = "id_derecho_Propietario";
$proto31["m_columns"][] = "gestion";
$proto31["m_columns"][] = "nro_Partido";
$proto31["m_columns"][] = "nro_Folio";
$proto31["m_columns"][] = "accionista";
$proto31["m_columns"][] = "nro_Titulo";
$proto31["m_columns"][] = "nro_Acciones";
$proto31["m_columns"][] = "serie_Acciones";
$proto31["m_columns"][] = "estado_Pago";
$proto31["m_columns"][] = "tipo_Acciones";
$proto31["m_columns"][] = "gravamen";
$proto31["m_columns"][] = "fecha_Emision";
$proto31["m_columns"][] = "fecha_Inscripcion";
$proto31["m_columns"][] = "clase_Acciones";
$proto31["m_columns"][] = "nro_Acciones_Literal";
$proto31["m_columns"][] = "total_bs";
$proto31["m_columns"][] = "total_bs_literal";
$proto31["m_columns"][] = "estado_titulo";
$proto31["m_columns"][] = "saldo_Acciones_A";
$proto31["m_columns"][] = "saldo_Acciones";
$obj = new SQLTable($proto31);

$proto30["m_table"] = $obj;
$proto30["m_sql"] = "INNER JOIN derecho_propietario AS dp ON p.derecho_Propietario = dp.id_derecho_Propietario";
$proto30["m_alias"] = "dp";
$proto30["m_srcTableName"] = "reporte";
$proto32=array();
$proto32["m_sql"] = "dp.id_derecho_Propietario = p.derecho_Propietario";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_derecho_Propietario",
	"m_strTable" => "dp",
	"m_srcTableName" => "reporte"
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "= p.derecho_Propietario";
$proto32["m_havingmode"] = false;
$proto32["m_inBrackets"] = false;
$proto32["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto32);

$proto30["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto30);

$proto0["m_fromlist"][]=$obj;
												$proto34=array();
$proto34["m_link"] = "SQLL_INNERJOIN";
			$proto35=array();
$proto35["m_strName"] = "socio";
$proto35["m_srcTableName"] = "reporte";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "id_Socio";
$proto35["m_columns"][] = "ci";
$proto35["m_columns"][] = "ci_complemento";
$proto35["m_columns"][] = "ci_procedencia";
$proto35["m_columns"][] = "nombres";
$proto35["m_columns"][] = "apellido_Paterno";
$proto35["m_columns"][] = "apellido_Materno";
$proto35["m_columns"][] = "fecha_Nacimiento";
$proto35["m_columns"][] = "lugar_Nacimiento";
$proto35["m_columns"][] = "depto_Nacimiento";
$proto35["m_columns"][] = "direccion";
$proto35["m_columns"][] = "profesion";
$proto35["m_columns"][] = "telefono";
$proto35["m_columns"][] = "celular";
$proto35["m_columns"][] = "foto_actual";
$proto35["m_columns"][] = "foto_Ci";
$proto35["m_columns"][] = "estado";
$proto35["m_columns"][] = "tipo_Doc";
$proto35["m_columns"][] = "pais_Nacimiento";
$proto35["m_columns"][] = "sexo";
$proto35["m_columns"][] = "estado_Civil";
$proto35["m_columns"][] = "apellido_Casada";
$proto35["m_columns"][] = "tipo_accionista";
$proto35["m_columns"][] = "id_dp";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "INNER JOIN socio AS s ON p.accionista = s.id_Socio";
$proto34["m_alias"] = "s";
$proto34["m_srcTableName"] = "reporte";
$proto36=array();
$proto36["m_sql"] = "s.id_Socio = p.accionista";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "s",
	"m_srcTableName" => "reporte"
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "= p.accionista";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
												$proto38=array();
$proto38["m_link"] = "SQLL_INNERJOIN";
			$proto39=array();
$proto39["m_strName"] = "aux";
$proto39["m_srcTableName"] = "reporte";
$proto39["m_columns"] = array();
$proto39["m_columns"][] = "alias";
$proto39["m_columns"][] = "aux";
$proto39["m_columns"][] = "color";
$proto39["m_columns"][] = "id_aux";
$proto39["m_columns"][] = "nombre";
$proto39["m_columns"][] = "orden";
$proto39["m_columns"][] = "valor";
$proto39["m_columns"][] = "valor_1";
$proto39["m_columns"][] = "valor_2";
$proto39["m_columns"][] = "valor_3";
$proto39["m_columns"][] = "valor_4";
$obj = new SQLTable($proto39);

$proto38["m_table"] = $obj;
$proto38["m_sql"] = "INNER JOIN aux AS a1 ON p.estado = a1.id_aux";
$proto38["m_alias"] = "a1";
$proto38["m_srcTableName"] = "reporte";
$proto40=array();
$proto40["m_sql"] = "a1.id_aux = p.estado";
$proto40["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_aux",
	"m_strTable" => "a1",
	"m_srcTableName" => "reporte"
));

$proto40["m_column"]=$obj;
$proto40["m_contained"] = array();
$proto40["m_strCase"] = "= p.estado";
$proto40["m_havingmode"] = false;
$proto40["m_inBrackets"] = false;
$proto40["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto40);

$proto38["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto38);

$proto0["m_fromlist"][]=$obj;
												$proto42=array();
$proto42["m_link"] = "SQLL_INNERJOIN";
			$proto43=array();
$proto43["m_strName"] = "aux";
$proto43["m_srcTableName"] = "reporte";
$proto43["m_columns"] = array();
$proto43["m_columns"][] = "alias";
$proto43["m_columns"][] = "aux";
$proto43["m_columns"][] = "color";
$proto43["m_columns"][] = "id_aux";
$proto43["m_columns"][] = "nombre";
$proto43["m_columns"][] = "orden";
$proto43["m_columns"][] = "valor";
$proto43["m_columns"][] = "valor_1";
$proto43["m_columns"][] = "valor_2";
$proto43["m_columns"][] = "valor_3";
$proto43["m_columns"][] = "valor_4";
$obj = new SQLTable($proto43);

$proto42["m_table"] = $obj;
$proto42["m_sql"] = "INNER JOIN aux AS a2 ON p.tipo_pago = a2.id_aux";
$proto42["m_alias"] = "a2";
$proto42["m_srcTableName"] = "reporte";
$proto44=array();
$proto44["m_sql"] = "a2.id_aux = p.tipo_pago";
$proto44["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_aux",
	"m_strTable" => "a2",
	"m_srcTableName" => "reporte"
));

$proto44["m_column"]=$obj;
$proto44["m_contained"] = array();
$proto44["m_strCase"] = "= p.tipo_pago";
$proto44["m_havingmode"] = false;
$proto44["m_inBrackets"] = false;
$proto44["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto44);

$proto42["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto42);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="reporte";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reporte = createSqlQuery_reporte();


	
		;

										

$tdatareporte[".sqlquery"] = $queryData_reporte;



$tdatareporte[".hasEvents"] = false;

?>